# List Authorizations

Retrieve a list of Authorizations.

For details on how to query endpoints using the available parameters, see Query Parameters.

{% admonition type="info" %}
If no query parameters are specified in the request the API automatically limits the response to records from the last 30 days. You can request older data by passing an explicit created_at.lte filter.
{% /admonition %}

Endpoint: GET /authorizations  
Security: BasicAuth

## Header parameters:

- `Finix-Version` (string)  
  Specify the API version of your request. For more details, see Versioning.  
  Example: "2022-02-01"

## Query parameters:

- `after_cursor` (string)  
  Return every resource created after the cursor value.

- `amount.gt` (integer)  
  Filter by an amount greater than.  
  Example: 100

- `amount.gte` (integer)  
  Filter by an amount greater than or equal.  
  Example: 100

- `amount.lt` (integer)  
  Filter by an amount less than.  
  Example: 100

- `amount.lte` (integer)  
  Filter by an amount less than or equal.  
  Example: 100

- `amount` (integer)  
  Filter by an amount equal to the given value.  
  Example: 100

- `before_cursor` (string)  
  Return every resource created before the cursor value.

- `created_at.gte` (string)  
  Filter where created_at is after the given date.  
  Example: "2022-09-27T11:21:23"

- `created_at.lte` (string)  
  Filter where created_at is before the given date.  
  Example: "2026-09-27T11:21:23"

- `currency` (string)  
  Filter by the currency of the resource.  
  Example: "USD"

- `device` (string)  
  Filter by the device's ID.  
  Example: "DVsEanpBtsAVvCHbNXkFaH6f"

- `idempotency_id` (string)  
  Filter by Idempotency ID.  
  Example: "15d32948-c766-4033-8d87-dfbdcabcbc5c"

- `instrument_account_last4` (string)  
  Filter Transactions by the last 4 digits of the bank account. The bank account last 4 are the last 4 digits of the masked account number.  
  Example: 9444

- `instrument_bin` (string)  
  Filter by Bank Identification Number (BIN). The BIN is the first 6 digits of the masked number.  
  Example: 411111

- `instrument_brand_type` (string)  
  Filter by card brand.  
  Example: "VISA"

- `instrument_card_last4` (string)  
  Filter by the payment card last 4 digits.  
  Example: 1111

- `instrument_name` (string)  
  Filter Transactions by the name of the Payment Instrument.  
  Example: "Alice"

- `is_void` (boolean)  
  Show only voided authorizations.

- `limit` (integer)  
  The numbers of items to return.  
  Example: 10

- `merchant` (string)  
  Filter by the Merchant ID.  
  Example: "MUeDVrf2ahuKc9Eg5TeZugvs"

- `merchant_identity_name` (string)  
  Filter Transactions by name of the Identity.  
  Example: "John"

- `merchant_mid` (string)  
  Filter by Merchant Identification Number (MID).  
  Example: "FNXrzKj8xCLBwB8FdxjfU9txe"

- `merchant_processor_id` (string)  
  Filter by Processor ID.

- `state` (any)  
  Filter by transaction state.  
  Enum: "SUCCEEDED", "FAILED", "PENDING", "CANCELED"

- `tags.key` (string)  
  Filter by the tag's key. For more information, see Tags.  
  Example: "card_type"

- `tags.value` (string)  
  Filter by the tag's value. For more information, see Tags.  
  Example: "business_card"

- `trace_id` (string)  
  Filter by trace_id.  
  Example: "021fc4ed-f0a8-4932-820c-b22b542526f8"

- `updated_at.gte` (string)  
  Filter where updated_at is after the given date.  
  Example: "2022-09-27T11:21:23"

- `updated_at.lte` (string)  
  Filter where updated_at is before the given date.  
  Example: "2026-09-27T11:21:23"

## Response 200 fields (application/json):

- `page` (object)  
  Details the page that's returned.

- `page.limit` (integer)  
  The number of entries to return.

- `page.next_cursor` (string,null)  
  The cursor to use for the next page of results.

- `_embedded` (object)  
  List of Authorization objects.

- `_embedded.authorizations` (array)  
  Authorization objects.

- `_embedded.authorizations.id` (string)  
  The ID of the Authorization resource.  
  Example: "AUxxxxxxxxxxxxxxxxxx"

- `_embedded.authorizations.created_at` (string)  
  Timestamp of when the object was created.

- `_embedded.authorizations.updated_at` (string)  
  Timestamp of when the object was last updated.

- `_embedded.authorizations.3ds_redirect_url` (string,null)  
  The redirect URL used for 3DS transactions (if supported by the processor).

- `_embedded.authorizations.additional_buyer_charges` (object,null)  
  Details about any Buyer Charges included in the Authorization. The buyer charges are mutually exclusive.

- `_embedded.authorizations.additional_buyer_charges.convenience_amount` (integer,null)  
  A convenience fee to charge the buyer for the transaction. This object property is mutually exclusive.

- `_embedded.authorizations.additional_buyer_charges.rent_surcharge_amount` (integer,null)  
  A rent surcharge to charge the buyer for the transaction. This object property is mutually exclusive.

- `_embedded.authorizations.additional_buyer_charges.surcharge_amount` (integer,null)  
  A surcharge amount to charge the buyer for the transaction. This object property is mutually exclusive.

- `_embedded.authorizations.additional_healthcare_data` (object,null)  
  Object detailing any additional healthcare amounts included in the Authorization.

- `_embedded.authorizations.additional_healthcare_data.clinic_amount` (integer,null)  
  A clinic or other qualified medical amount for the transaction.

- `_embedded.authorizations.additional_healthcare_data.dental_amount` (integer,null)  
  The dental amount for the transaction.

- `_embedded.authorizations.additional_healthcare_data.prescription_amount` (integer,null)  
  The prescription/RX amount for the transaction.

- `_embedded.authorizations.additional_healthcare_data.vision_amount` (integer,null)  
  The vision/optical amount for the transaction.

- `_embedded.authorizations.additional_purchase_data` (object,null)  
  Additional information about the purchase used for Level 2 and Level 3 Processing.

- `_embedded.authorizations.additional_purchase_data.customer_reference_number` (string)  
  The customer reference for the purchase (max 17 characters).

- `_embedded.authorizations.additional_purchase_data.customs_duty_amount` (integer)  
  The duty in cents on the total purchase amount for the order.

- `_embedded.authorizations.additional_purchase_data.destination_country_code` (string)  
  The ISO country code of the order destination.

- `_embedded.authorizations.additional_purchase_data.destination_postal_code` (string)  
  The postal code of the order destination (10 characters).

- `_embedded.authorizations.additional_purchase_data.discount_amount` (integer)  
  The amount in cents of the discount for the order.

- `_embedded.authorizations.additional_purchase_data.invoice_reference_number` (string)  
  The order's invoice number (max 15 characters).

- `_embedded.authorizations.additional_purchase_data.order_date` (object)

- `_embedded.authorizations.additional_purchase_data.order_date.day` (integer)  
  Day of purchase (between 1 and 31).

- `_embedded.authorizations.additional_purchase_data.order_date.month` (integer)  
  Month of purchase (between 1 and 12).

- `_embedded.authorizations.additional_purchase_data.order_date.year` (integer)  
  Year of purchase (4-digit).

- `_embedded.authorizations.additional_purchase_data.sales_tax` (integer)  
  Total aggregate tax amount in cents for the entire purchase. Field is automatically calculated if you pass in the itemized tax amounts.

- `_embedded.authorizations.additional_purchase_data.sales_tax_finix_generated` (integer,null)  
  The sales tax amount in cents Finix calculated from the item_data line items.

- `_embedded.authorizations.additional_purchase_data.ship_from_postal_code` (string)  
  The postal code from where order is shipped (10 characters).

- `_embedded.authorizations.additional_purchase_data.shipping_amount` (integer)  
  The shipping cost in cents for the order.

- `_embedded.authorizations.additional_purchase_data.tax_exempt` (boolean)  
  For tax exempt purchases set to True.

- `_embedded.authorizations.additional_purchase_data.item_data` (array)  
  Additional information about the transaction. Used for Level 2 and Level 3 Processing.

- `_embedded.authorizations.address_verification` (string,null)  
  Details the results of the Address Verification checks.

- `_embedded.authorizations.amount` (integer)  
  The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).

- `_embedded.authorizations.amount_requested` (integer)  
  When default_partial_authorization_enabled is set to true, amount_requested indicates the amount the cardholder attempted to authorize.

- `_embedded.authorizations.application` (string)  
  The ID of the Application resource the Authorization was created under.

- `_embedded.authorizations.currency` (string)  
  ISO 4217 3-letter currency code.

- `_embedded.authorizations.created_via` (string)  
  Gives more information about the product flow that was used to create the resource.

- `_embedded.authorizations.device` (string,null)  
  The ID of the activated device.

- `_embedded.authorizations.expires_at` (string)  
  Authorization expiration time.

- `_embedded.authorizations.failure_code` (string,null)  
  The code of the failure so the decline can be handled programmatically.

- `_embedded.authorizations.failure_message` (string,null)  
  A human-readable description of why the transaction was declined.

- `_embedded.authorizations.identity` (string)  
  ID of the buyer 'Identity' to run the card present authorization.

- `_embedded.authorizations.is_void` (boolean)  
  Whether the Authorization has been voided.

- `_embedded.authorizations.merchant` (string)  
  The ID of the Merchant resource the Authorization was created under.

- `_embedded.authorizations.merchant_identity` (string)  
  The ID of the Identity resource used by the Merchant the Authorization was processed under.

- `_embedded.authorizations.network_details` (object,null)  
  Contains network-specific fields used by issuers to identify transactions.

- `_embedded.authorizations.receipt_last_printed_at` (string,null)  
  Timestamp when the receipt was last printed.

- `_embedded.authorizations.source` (string)  
  ID of the Payment Instrument where funds get debited.

- `_embedded.authorizations.state` (string)  
  The state of the Authorization.

- `_embedded.authorizations.trace_id` (string)  
  Trace ID of the Authorization. The processor sends back the trace_id so you can track the authorization end-to-end.

- `_embedded.authorizations.transfer` (string,null)  
  The ID of the transfer resource that gets created when the Authorization moves to SUCCEEDED.
